Subject: [PATCH] ARM: qcom: Enable basic support for Qualcomm platforms in multi_v7_defconfig

From: [email-masked] (Kevin Hilman)
Date: Wed, 26 Feb 2014 15:43:31 -0800

Kumar Gala <[email-masked]> writes:

> Enable support for the MSM8x60, MSM8960, and MSM8974 SoCs, clocks and
> serial console as part of the standard multi_v7_defconfig.
>
> Signed-off-by: Kumar Gala <[email-masked]>
> ---
>
> I leave this to the arm-soc guys to apply because of possible conflicts
> with other updates to multi_v7_defconfig.

Seem to be a handful of !qcom changes here, probably resulting from a
run of 'make savedefconfig' without all the new changes in.

I've thinned this out to only the qcom changes and applied the following
to next/boards.  I think it's better to do any 'make savedefconfig'
cleanups as a separate, cleanup-only patch as needed.

Kevin

>>From 60476e4ad5a1369467ab8a061ae8ce601478646d Mon Sep 17 00:00:00 2001
From: Kumar Gala <[email-masked]>
Date: Tue, 25 Feb 2014 14:34:05 -0600
Subject: [PATCH] ARM: qcom: Enable basic support for Qualcomm platforms in
 multi_v7_defconfig

Enable support for the MSM8x60, MSM8960, and MSM8974 SoCs, clocks and
serial console as part of the standard multi_v7_defconfig.

Signed-off-by: Kumar Gala <[email-masked]>
[khilman: removed non-qcom changes]
Signed-off-by: Kevin Hilman <[email-masked]>
---
 arch/arm/configs/multi_v7_defconfig | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/arch/arm/configs/multi_v7_defconfig b/arch/arm/configs/multi_v7_defconfig
index 56549f178fe3..64e850d4896c 100644
--- a/arch/arm/configs/multi_v7_defconfig
+++ b/arch/arm/configs/multi_v7_defconfig
@@ -33,6 +33,10 @@ CONFIG_SOC_OMAP5=y
 CONFIG_SOC_AM33XX=y
 CONFIG_SOC_DRA7XX=y
 CONFIG_SOC_AM43XX=y
+CONFIG_ARCH_QCOM=y
+CONFIG_ARCH_MSM8X60=y
+CONFIG_ARCH_MSM8960=y
+CONFIG_ARCH_MSM8974=y
 CONFIG_ARCH_ROCKCHIP=y
 CONFIG_ARCH_SOCFPGA=y
 CONFIG_PLAT_SPEAR=y
@@ -148,6 +152,8 @@ CONFIG_SERIAL_SIRFSOC_CONSOLE=y
 CONFIG_SERIAL_TEGRA=y
 CONFIG_SERIAL_IMX=y
 CONFIG_SERIAL_IMX_CONSOLE=y
+CONFIG_SERIAL_MSM=y
+CONFIG_SERIAL_MSM_CONSOLE=y
 CONFIG_SERIAL_VT8500=y
 CONFIG_SERIAL_VT8500_CONSOLE=y
 CONFIG_SERIAL_OF_PLATFORM=y
@@ -298,6 +304,10 @@ CONFIG_MFD_NVEC=y
 CONFIG_KEYBOARD_NVEC=y
 CONFIG_SERIO_NVEC_PS2=y
 CONFIG_NVEC_POWER=y
+CONFIG_COMMON_CLK_QCOM=y
+CONFIG_MSM_GCC_8660=y
+CONFIG_MSM_MMCC_8960=y
+CONFIG_MSM_MMCC_8974=y
 CONFIG_TEGRA_IOMMU_GART=y
 CONFIG_TEGRA_IOMMU_SMMU=y
 CONFIG_MEMORY=y
-- 
1.8.3